package api_type

import "github.com/juju/errors"

func GetApiType(in ApiTypeName) (ApiTypeInterface, error) {
	if in == "" {
		return nil, errors.BadRequestf("missing parameter")
	}

	if !in.IsValid() {
		return nil, errors.NotValidf("invalid parameter")
	}

	switch in {
	case ApyTypeName_GIN_GONIC:
	case ApyTypeName_GO_SWAGGER:
	case ApyTypeName_MOJOLICIOUS:
	}
	return nil, errors.NotFoundf("Unknown Api Type")
}
